X
Tap here to go to the mobile version of the site.

Support Forum

This thread was closed and archived. Please ask a new question if you need help.

tabs below

Posted

(Removed beta link to 28. -m)

All the current changes for firefox seem oriented towards the tab computer market but unfortunately these tab computers are way to slow and underperform compared dramaticly compared to my desktop computer. Having tabs below is what makes my system functionality and workflow perform at its best. I often have up to 100 tabs open at a time when doing research but with every change by firefox this ability is more and more taken away. from right click send emails and now tabs cant be placed below its time for firefox to decide if its time for two different versions of there product to be made. One for the desktop and a seperate version for tablet computers. Having tabs above the address bar is just plain stupid when you have 100 tabs open ie it just doesnt work. My pc has 64 gigs of ram and a 6 cor processor and with every itereation of firefox for the past 4 years my ability to use the ability of my PC has been more and more removed. I seem to have no choice but to revert to an earlier version of firfox in order to at least keep some of the former functionality. I dont use touch functionality and yet the latest version seems complllletelly oriented towards touch computers and thats great but its been done at the expence of people like me who will never use this type of feature. Time to creat two seperate versions of Firfox one for people like me who have realy powerfull computers and many many many tabs open at a time and one for the tablet pc touch people who only have 1 or 2 tabs open at a time.

<i>(Removed beta link to 28. -m)</i> All the current changes for firefox seem oriented towards the tab computer market but unfortunately these tab computers are way to slow and underperform compared dramaticly compared to my desktop computer. Having tabs below is what makes my system functionality and workflow perform at its best. I often have up to 100 tabs open at a time when doing research but with every change by firefox this ability is more and more taken away. from right click send emails and now tabs cant be placed below its time for firefox to decide if its time for two different versions of there product to be made. One for the desktop and a seperate version for tablet computers. Having tabs above the address bar is just plain stupid when you have 100 tabs open ie it just doesnt work. My pc has 64 gigs of ram and a 6 cor processor and with every itereation of firefox for the past 4 years my ability to use the ability of my PC has been more and more removed. I seem to have no choice but to revert to an earlier version of firfox in order to at least keep some of the former functionality. I dont use touch functionality and yet the latest version seems complllletelly oriented towards touch computers and thats great but its been done at the expence of people like me who will never use this type of feature. Time to creat two seperate versions of Firfox one for people like me who have realy powerfull computers and many many many tabs open at a time and one for the tablet pc touch people who only have 1 or 2 tabs open at a time.

Modified by Moses

Additional System Details

Installed Plug-ins

  • Google Update
  • Shockwave Flash 10.3 r183
  • 5.1.30214.0
  • VLC media player Web Plugin 2.1.3
  • Next Generation Java Plug-in 10.51.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Plug-in for detecting Nero Kwik Media.
  • GEPlugin
  • Intel web components updater - Installs and updates the Intel web components
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.7
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.01
  • NPWLPG
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • Office Authorization plug-in for NPAPI browsers

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0

More Information

the-edmeister
  • Top 25 Contributor
  • Moderator
5395 solutions 40083 answers

sour grapes - waffles

sour grapes - ''waffles''
djeddie2014 0 solutions 4 answers

ok i have download 31.0 beta but for some reason it is struggling and freezing up when i try to see videos or if i have 8 tabs open it dos not matter its memory leak just really bad .600MB and the more i open the worst it gets.

I just try to play a flash game this is insane the memory Firefox 31.0 is using my god please fix this dam memory leak 1.3G TO 1.6G of mem

ok i have download 31.0 beta but for some reason it is struggling and freezing up when i try to see videos or if i have 8 tabs open it dos not matter its memory leak just really bad .600MB and the more i open the worst it gets. I just try to play a flash game this is insane the memory Firefox 31.0 is using my god please fix this dam memory leak 1.3G TO 1.6G of mem

Modified by djeddie2014

oneforall 0 solutions 7 answers

Problem is 1) plugins are known to break on next release. 2)the plugin doesn't work and it is in no way even close to how iseay it was to move the tabs as it is now. This is NOT progress because it does not replaces it or make it any better. It makes it worse. 3) 1 is more than enough reason and a darn good one at that. Plus refusing to listen to people when they start to complain and putting WONT FIX to end the complaints is as bad as kde did with konqueror till the finally listened to people and brought it back. . So I can not use this useless plugin because it fails to bring back the quick easy to used great feature it used to be right out of the box and not all in it works. click click click to change things is backwards and NOT progress at all. I'm stuck with 27-28 now with no security fixes and I will not recommend ff any more. You are as bad as the Telecoms. NSA corporate pigs that refuse to listen to the support etc. sad that a great community died. The plugin is in no way the proper way here and I think I explained it more than enough.

Problem is 1) plugins are known to break on next release. 2)the plugin doesn't work and it is in no way even close to how iseay it was to move the tabs as it is now. This is NOT progress because it does not replaces it or make it any better. It makes it worse. 3) 1 is more than enough reason and a darn good one at that. Plus refusing to listen to people when they start to complain and putting WONT FIX to end the complaints is as bad as kde did with konqueror till the finally listened to people and brought it back. . So I can not use this useless plugin because it fails to bring back the quick easy to used great feature it used to be right out of the box and not all in it works. click click click to change things is backwards and NOT progress at all. I'm stuck with 27-28 now with no security fixes and I will not recommend ff any more. You are as bad as the Telecoms. NSA corporate pigs that refuse to listen to the support etc. sad that a great community died. The plugin is in no way the proper way here and I think I explained it more than enough.
oneforall 0 solutions 7 answers

I agree they are doing like kde did with konqueror saying people did not want it which was a lie. I said to them to that putting WONT FIX when people started to complain and then when people still commented any way including me they closed it. I and many others complained in #kde chat and finally they opened it up again and finally brought back konqueror. 1 ) this used to work right out of the box all that is in the classic plugin but it is a pain in the but to use because we have to go way over click click click just to change something that was simple right click etc out of the friggin box 2) you should also know that plugins are not dependable to work next release which is really a horrible idea to stick this in a plugin in the first place. not just tabs but all the other features too. 3) not that we are asking for some of the new not to be there to because we aren't . We want the choice .I'm stuck with 27/28 now and no security fix and just like all the corporate pigs Telecoms, NSA and the lisat goes on, refusing to listen to people so is firefox now. so sad.

I agree they are doing like kde did with konqueror saying people did not want it which was a lie. I said to them to that putting WONT FIX when people started to complain and then when people still commented any way including me they closed it. I and many others complained in #kde chat and finally they opened it up again and finally brought back konqueror. 1 ) this used to work right out of the box all that is in the classic plugin but it is a pain in the but to use because we have to go way over click click click just to change something that was simple right click etc out of the friggin box 2) you should also know that plugins are not dependable to work next release which is really a horrible idea to stick this in a plugin in the first place. not just tabs but all the other features too. 3) not that we are asking for some of the new not to be there to because we aren't . We want the choice .I'm stuck with 27/28 now and no security fix and just like all the corporate pigs Telecoms, NSA and the lisat goes on, refusing to listen to people so is firefox now. so sad.
jscher2000
  • Top 10 Contributor
8633 solutions 70605 answers

Hi oneforall, Mozilla often relies on the Add-on developer community to fill in gaps in Firefox. As long as Classic Theme Restorer is working well with current and test releases of Firefox, Mozilla can and most likely will focus on other priorities. It's a small not-for-profit organization with a big mission, and it's hard to see putting something else on ice to rebuild the UI again.

I certainly appreciate that some extensions stop working due to interface or other changes in Firefox, and that's annoying, but this usually does not happen to the most popular extensions. Also, CTR is open source, so if it stops getting updating, any motivated developer will be able to pick up where it left off, and I imagine there would be plenty.

Hi oneforall, Mozilla often relies on the Add-on developer community to fill in gaps in Firefox. As long as Classic Theme Restorer is working well with current and test releases of Firefox, Mozilla can and most likely will focus on other priorities. It's a small not-for-profit organization with a big mission, and it's hard to see putting something else on ice to rebuild the UI again. I certainly appreciate that some extensions stop working due to interface or other changes in Firefox, and that's annoying, but this usually does not happen to the most popular extensions. Also, CTR is open source, so if it stops getting updating, any motivated developer will be able to pick up where it left off, and I imagine there would be plenty.
jscher2000
  • Top 10 Contributor
8633 solutions 70605 answers

Hi djeddie2014, I'm puzzled that you're running a Flash game but your task manager does not show plugin-container.exe. Have you forced Flash to run inside firefox.exe? (I don't think it affects overall memory use, but that isn't a supported/tested configuration.)

Hi djeddie2014, I'm puzzled that you're running a Flash game but your task manager does not show plugin-container.exe. Have you forced Flash to run inside firefox.exe? (I don't think it affects overall memory use, but that isn't a supported/tested configuration.)
the-edmeister
  • Top 25 Contributor
  • Moderator
5395 solutions 40083 answers

Locking this thread, as it has gone off the original topic a few times. Please start you own support thread.

''Locking this thread, as it has gone off the original topic a few times. Please start you own support thread.''